<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <p>Enter pressed: <span id="enter-counter">0</span></p>
    <p>Space pressed: <span id="space-counter">0</span></p>
    <p>Backspace pressed: <span id="backspace-counter">0</span></p>

    <script>
      /**
       * Рахувати кількість натискань на пробіл, ентер,
       * та Backspace клавіші
       * Відображати результат на сторінці
       *
       */
      const en = document.getElementById(`enter-counter`);
      const sp = document.getElementById(`space-counter`);
      const bs = document.getElementById(`backspace-counter`);

      document.addEventListener('keydown', (event) => {
        switch (event.code) {
          case `Enter`:
            en.innerText++;
            break;
          case `Backspace`:
            bs.innerText++;
            break;
          case `Space`:
            sp.innerText++;
            break;
        }
      });
    </script>
  </body>
</html>
